@import url('https://fonts.googleapis.com/css2?family=Racing+Sans+One&display=swap');
body {
    background-color: #fff;
    color: #333;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-size: 14px;
    line-height: 1.42857;
    margin: 0;
    padding: 0;
    /* min-width: 400px; */
}
.gold {
    color: #8a6d3b;
}
.silver {
    color: #bdc3c7;
}
.bronze {
    color: #a1887f;
}
.alert-success {
    background-color: #dff0d8;
    border-color: #d6e9c6;
    color: #3c763d;
    padding: 10px;
    margin: 10px;
}
.alert-danger {
    background-color: #f2dede;
    border-color: #ebccd1;
    color: #a94442;
    padding: 10px;
    margin: 10px;
}
.container {
    margin: 0 auto;
    max-width: 1000px;
    padding: 0 20px;
    min-height: 750px;
}
#loading {
    background-color: #fff;
    color: #333;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-size: 14px;
    line-height: 1.42857;
    margin: 0;
    padding: 0;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999;
}
#loading-image img {
    position: absolute;
    width: 100px;
    height: 100px;
    top: 50%;
    left: 50%;
    margin-top: -50px;
    margin-left: -50px;
}
header div.header {
    display: grid;
    grid-template-columns: 1fr 100px;
    grid-template-rows: 1fr;
    background-color: #5ca740;
    color: #fff;
}
header div.header div#branding {
    background-color: #5ca740;
    min-height: 100px;
    max-height: 100px;
    display: flex;
    overflow: hidden;
}
.logo {
    max-width: 150px;
}
.branding-results{
    grid-template-columns: 1fr !important;
    text-align: center !important;
}
h1 {
    font-size: 1.8em;
    font-weight: 500;
    margin: 0;
    padding: 10px;
    line-height: 2.8em;
    padding-left: 20px;
}
h2 {
    font-size: 2em;
    font-weight: 500;
    margin: 0 auto;
    padding: 10px;
    line-height: 2.5em;
    padding-left: 20px;
}
h3 {
    font-size: 1.5em;
    font-weight: 500;
    margin: 0 auto;
    padding: 10px;
    line-height: 2.5em;
    padding-left: 20px;
    text-align: center;
    border-bottom: 1px #ccc dotted;
    background-color: #f2f2f2;
    border-radius: 5px;
}
div #burger-menu {
    background-color: #333;
    cursor: pointer;
    min-height: 100px;
    max-height: 100px;
}
div #burger-menu:hover {
    background-color: #727272;
 }
div #burger-menu #burger-menu-line-1 {
    background-color: #fff;
    margin-right: 15px;
    margin-left: 15px;
    margin-top: 25px;
}
div #burger-menu #burger-menu-line-1 hr {
    border: 0;
    height: 5px;
}
div #burger-menu #burger-menu-line-2 {
    background-color: #fff;
    margin-right: 15px;
    margin-left: 15px;
    margin-top: 15px;
}
div #burger-menu #burger-menu-line-2 hr {
    border: 0;
    height: 5px;
}
div #burger-menu #burger-menu-line-3 {
    background-color: #fff;
    margin-right: 15px;
    margin-left: 15px;
    margin-top: 15px;
}
div #burger-menu #burger-menu-line-3 hr {
    border: 0;
    height: 5px;
}
#menu {
    display: none;
    background-color: #3b6e28;
    margin-top: 100px;
    padding: 0;
    position: absolute;
    max-width: 500px;
    min-width: 350px;
    z-index: 1;
    top: 0;
    right: 0;
    bottom: 0;

}
#menu ul {
    list-style: none;
    margin: 0;
    padding: 0;
}
#menu ul li {
    list-style: none;
    color: #fff;
    cursor: pointer;
    font-size: 1.5em;
    font-weight: 500;
    margin: 10px auto 0;
    padding: 10px;
    line-height: 2.5em;
    padding-left: 20px;
    text-align: center;
}
#menu ul li:hover {
    background-color: #5ca740;
}
#menu ul li a {
    color: #fff;
    text-decoration: none;
    margin: 0px;
    display: block;
    width: 100%;
    height: 100%;
}
#menu ul li.active {
    background-color: #5ca740;
}
#menu-logout {
    background-color: #333;
    color: #fff;
    cursor: pointer;
    font-size: 1.5em;
    font-weight: 500;
    margin: 10px auto 0;
    padding: 10px;
    line-height: 1.5em;
    padding-left: 20px;
    text-align: center;
}
#menu-logout:hover {
    background-color: #727272;
}
#menu-logout a {
    color: #fff;
    text-decoration: none;
    margin: 0px;
    display: block;
    width: 100%;
    height: 100%;
}
#close-menu {
    background-color: #333;
    color: #fff;
    cursor: pointer;
    font-size: 1.5em;
    font-weight: 500;
    margin: 10px auto 0;
    padding: 10px;
    line-height: 1.5em;
    padding-left: 20px;
    text-align: center;
}
footer {
    background-color: #5ca740;
    color: #fff;
    padding: 10px;
    text-align: center;
}
/* style forms */
form {
    margin: 0 auto;
    max-width: 500px;
    min-width: 250px;
    padding: 10px;
}
form input[type="text"], form input[type="password"] {
    border: 1px solid #ccc;
    border-radius: 5px;
    margin: 10px;
    width: calc(100% - 60px);
    padding: 10px;
}
form input[type="submit"] {
    background-color: #5ca740;
    border: 1px solid #ccc;
    border-radius: 5px;
    color: #fff;
    cursor: pointer;
    font-size: 1.5em;
    font-weight: 500;
    padding: 10px;
    line-height: 1em;
    text-align: center;
    margin-right: 0;
    min-width: 200px;
}
form input[type="submit"]:hover {
    background-color: #3b6e28;
}
form input[type="submit"]:active {
    background-color: #5ca740;
}
form input[type="submit"]:focus {
    background-color: #5ca740;
}
form input[type="submit"]:visited {
    background-color: #5ca740;
}
form label {
    font-size: 1.5em;
    font-weight: 500;
    margin: 10px;
    padding: 10px;
    line-height: 2.5em;
    padding-left: 20px;
}
form label span {
    color: #ff0000;
}
form select {
    border: 1px solid #ccc;
    border-radius: 5px;
    margin: 10px;
    width: calc(100% - 40px);
    padding: 10px;
}
form textarea {
    border: 1px solid #ccc;
    border-radius: 5px;
    margin: 10px;
    width: calc(100% - 60px);
    padding: 10px;
}
form input[type="checkbox"] {
    margin: 10px;
    width: 20px;
    height: 20px;
}
form input[type="radio"] {
    margin: 10px;
    width: 20px;
    height: 20px;
}
form input[type="file"] {
    margin: 10px;
    width: 100%;
    height: 100%;
}
form input[type="date"] {
    border: 1px solid #ccc;
    border-radius: 5px;
    margin: 10px;
    width: calc(100% - 60px);
    padding: 10px;
}
form input[type="time"] {
    border: 1px solid #ccc;
    border-radius: 5px;
    margin: 10px;
    width: calc(100% - 60px);
    padding: 10px;
}
form input[type="datetime-local"] {
    border: 1px solid #ccc;
    border-radius: 5px;
    margin: 10px;
    width: calc(100% - 60px);
    padding: 10px;
}
form input[type="month"] {
    border: 1px solid #ccc;
    border-radius: 5px;
    margin: 10px;
    width: calc(100% - 60px);
    padding: 10px;
}
form input[type="week"] {
    border: 1px solid #ccc;
    border-radius: 5px;
    margin: 10px;
    width: calc(100% - 60px);
    padding: 10px;
}
form input[type="number"] {
    border: 1px solid #ccc;
    border-radius: 5px;
    margin: 10px;
    width: 100px;
    padding: 10px;
}
/* style login form */
#loginformgrid {
    display: grid;
    grid-template-columns: 1fr 110px;
    grid-template-rows: 1fr;
}
#loginform {
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin: 0 auto;
    max-width: 450px;
    min-width: 250px;
    padding: 10px;
    margin-top: 100px;
    margin-bottom: 100px;
}
#loginform input[type="text"], #loginform input[type="password"] {
    border: 1px solid #ccc;
    border-radius: 5px;
    margin: 10px;
    width: calc(100% - 40px);
    padding: 10px;
}
#loginform input[type="submit"] {
    background-color: #5ca740;
    border: 1px solid #ccc;
    border-radius: 5px;
    color: #fff;
    cursor: pointer;
    font-size: 1.5em;
    font-weight: 500;
    margin: 10px 0px 10px 5px;
    padding: 10px;
    line-height: 2.5em;
    text-align: center;
    width: 100px;
    height: 100px;
}
#loginform input[type="submit"]:hover {
    background-color: #3b6e28;
}
#loginform input[type="submit"]:active {
    background-color: #5ca740;
}
#loginform input[type="submit"]:focus {
    background-color: #5ca740;
}
#loginform input[type="submit"]:visited {
    background-color: #5ca740;
}
/* style tables */
table {
    border-collapse: collapse;
    border-spacing: 0;
    width: 100%;
    border: 1px solid #ddd;
}
th, td {
    text-align: left;
    padding: 5px;
}
tr:nth-child(even) {
    background-color: #f2f2f2;
}
/* style tabs */
.tab {
    overflow: hidden;
    display: inline-flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-content: center;
    align-items: stretch;
}
.tab .selected {
    background-color: #5ca740;
    color: #fff;
}
.tablinks {
    background-color: #f2f2f2;
    border: 1px solid #ccc;
    cursor: pointer;
    font-size: 1em;
    font-weight: 500;
    margin: 5px;
    padding: 10px 20px;
    text-align: center;
    border-radius: 5px;
}
.tablinks:hover {
    background-color: #b6b6b6;
}
/* other */
.footer-pin-to-bottom {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 60px;
}
.tabcontent {
    padding: 10px;
    border: 1px solid #ccc;
    margin-bottom: 20px;
    border-radius: 5px;
}
.align-right {
    display: flex;
    width: 100%;
    justify-content: flex-end;
}
.align-left {
    display: flex;
    width: 100%;
    justify-content: flex-start;
}
.align-center {
    display: flex;
    width: 100%;
    justify-content: center;
    text-align: center;
}
#home-buttons {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 0px;
    margin: 0 auto;
    padding: 10px;
}
#home-buttons a.button {
    color: #fff;
    cursor: pointer;
    font-size: 1.2em;
    font-weight: 500;
    margin: 0 auto;
    padding: 10px;
    margin: 10px;
    line-height: 2.5em;
    text-align: center;
    text-decoration: none;
}
.bg-orange {
    background-color: #af4f00;
}
.bg-orange:hover {
    background-color: #ff6f00;
}
.bg-green {
    background-color: #3c763d;
}
.bg-green:hover {
    background-color: #4a8832;
}
.bg-red {
    background-color: #a94442;
}
.bg-red:hover {
    background-color: #f2dede;
}
.bg-yellow {
    background-color: #8a6d3b;
}
.bg-yellow:hover {
    background-color: #b89c12;
}
.bg-grey {
    background-color: #ccc;
}
.bg-grey:hover {
    background-color: #f2f2f2;
}
.bg-purple {
    background-color: #2a005a;
}
.bg-purple:hover {
    background-color: #4b00a0;
}
#raceControls {
    margin-top: 20px;
}
.clearRace {
    background-color: #5ca740;
    border: 1px solid #ccc;
    border-radius: 5px;
    color: #fff;
    cursor: pointer;
    font-size: 1.5em;
    font-weight: 500;
    margin: 10px 0px 10px 5px;
    padding: 5px 10px;
    line-height: 1.5em;
    text-align: center;
    /* width: 100px;
    height: 100px; */
    text-decoration: none;
}
.clearRace:hover {
    background-color: #3b6e28;
}
.racegrid {
    display: flex;
    grid-template-columns: 1fr;
    flex-wrap: wrap;
}
.polePositions {
    border: #ccc 1px solid;
    border-radius: 10px;
    width: 80%;
    margin: 30px 10px 10px 10px;
    text-align: center;
}
.polePositionsLarger {
    width: 90% !important;
}
.polePosition {
    font-size: 30px;
    margin-top: -23px;
    font-weight: 500;
}
.mg-l-15 {
    margin-left: 15%;
}
.mg-l-10 {
    margin-left: 10%;
}
.polePositionInner {
    border: #ccc 1px solid;
    background-color: #f2f2f2;
    width: 25%;
    border-radius: 30px;
    position: relative;
    margin: 0 auto;
}
.polePositions form {
    margin: 0;
    padding: 0;
    min-width: unset;
    max-width: unset;
}
.polePositionDriver {
    width: 100%;
    height: 140px;
    margin: 10px auto;
}
.polePositionDriver h2 {
    font-family: 'Racing Sans One', sans-serif;
    font-size: 65px;
    font-weight: 500;
    color: #5ca740;
    text-shadow: 1px 1px #000;
}
.polePositionDriverBackgroundLeft {
    background-image: url('/_theme/images/car-left.jpg');
    background-repeat: no-repeat;
    background-position: center;
}
.polePositionDriverBackgroundLeft h2 {
    padding-top: 5px;
    margin-left: -5px;
}
.polePositionDriverBackgroundRight {
    background-image: url('/_theme/images/car-left.jpg');
    background-repeat: no-repeat;
    background-position: center;
}
.polePositionDriverBackgroundRight h2 {
    padding-top: 5px;
    margin-left: -5px;
}
select:disabled {
    opacity: 1;
    -webkit-appearance: none;
    -moz-appearance: none;
    text-indent: 1px;
    text-overflow: '';
    font-weight: bold;
}
select.driver_id_selected {
    font-weight: bold;
}
.result-grid {
    display: grid;
    /* grid-template-columns: 1fr 100px; */
    grid-template-columns: 1fr;
    grid-gap: 10px;
    margin: 0 auto;
    width: 100%;
    padding: 10px;
    text-align: center;
}
.result-grid div h2 {
    font-family: 'Racing Sans One', sans-serif;
    font-size: 65px;
    font-weight: 500;
    color: #5ca740;
    margin: 0 0 0 -70px;
    padding: 0;
}
.tabcontent {
    width: calc(100% - 20px);
}
/* advertise */
#advertise {
    max-width: 100%;
    overflow: hidden;
    margin: 0 auto;
    text-align: center;
}
#advertise-content .slide{
    width: 100%;
}
#advertise-content {
    display: flex;
    cursor: grab;
}

#advertise-content img {
    width: calc(100% - 100px);
    margin: 0 50px 20px;
    flex: 0 0 auto;
    transform: show 0.5s ease-in-out;
    max-width: 1000px;
}
.sponsorted-by {
    font-size: 1.5em;
    font-weight: 500;
    margin: 5px auto;
    padding: 0;
    line-height: 2.5em;
    text-align: center;

}

@keyframes show {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.title-display-none {
    display: none;
}
.results-page-h1, .results-page-h2 {
    font-size: 2.5em;
    font-weight: 500;
    padding: 0;
    line-height: 2em;
    padding-left: 20px;
}
.print-season-totals {
    padding-left: 20px;
    color: #5ca740;
    text-decoration: none;
    margin-bottom: 20px;
}
.print-season-totals a:visited {
    color: #5ca740;
}
.print-season-totals a:hover {
    color: #3b6e28;
}
.flags {
    background-attachment: fixed;
    background-position: top right;
    background-repeat: no-repeat;
    background-image: url('/_theme/images/flag.png');
}
.highlight {
    display: none;
    background: #5ca740b3;
    padding: 5px;
}
/* form login */
.loginbutton {
    min-width: unset !important;
}
.results-coming-soon {
    background-color: #dff0d8;
    border-color: #d6e9c6;
    color: #3c763d;
    padding: 10px;
    margin: 10px;
    text-align: center;
}
.racegrid .results-coming-soon {
    width: 100%;
}
.publishRace {
    width: 50%;
    margin: 0;
    padding: 0;
    text-align: right;
    font-size: 12px;
}
form.publishRace select {
    margin: 0;
    width: 80px;
}
input[type="color" i] {
    width: 25%;
    margin-left: 10px;
    height: 40px;
    border: none;
}
footer a {
    color: #fff;
    text-decoration: none;
}
footer a:hover {
    color: #ccc;
}
.voted-by-you {
    background-color: #5ca740;
    color: #fff;
    padding: 5px;
    border-radius: 5px;
    text-align: center;
}
h4 {
    text-align: center;
}
#alert {
    color: #ffffff;
    background-color: #a94442;
    padding: 10px;
    margin: 10px;
    text-align: center;
    border-radius: 5px;
}
/* mobile */
@media only screen and (max-width: 690px) {
    #branding h1 {
        padding-top: 25px;
        line-height: 1.6em;
    }
}
@media only screen and (max-width: 655px) {
    #branding h1 {
        padding-top: 10px;
        line-height: 1.6em;
    }
    .branding-results h1 {
        padding-top: 25px !important;
        line-height: 1.6em;
    }
}
@media only screen and (max-width: 600px) {
    h1 {
        font-size: 1.2em;
        font-weight: 500;
        line-height: 5em;
        padding: 0;
    }
    .results-page-h1, .results-page-h2 {
        font-size: 1.2em;
        font-weight: 500;
        line-height: 2em;
    }
    .result-grid div h2 {
        font-size: 40px;
        margin: 0 0 0 -40px;
    }
    .tabcontent {
        width: calc(100% - 20px);
    }
    .result-grid {
        text-align: left;
    }
    #branding h1 {
        padding-top: 20px;
        line-height: 1.8em;
    }
}
@media only screen and (max-width: 575px) {
    .flags {
        background-image: url('/_theme/images/flag-medium.png');
    }
}
@media only screen and (max-width: 550px) {
    .polePositionDriverBackgroundLeft, .polePositionDriverBackgroundRight {
        background-size: 80%;
    }
    .polePositionDriver h2 {
        font-size: 50px;
        padding-top: 12px;
        margin-left: -20px;
    }
    .polePositionDriver {
        height: 120px;
    }
}
@media only screen and (max-width: 480px) {
    .polePositionDriverBackgroundLeft, .polePositionDriverBackgroundRight {
        background-size: 80%;
    }
    .polePositionDriver h2 {
        font-size: 40px;
        padding-top: 20px;
        margin-left: -20px;
    }
    .polePositionDriver {
        height: 120px;
    }
}
